package com.jasamedika.medifirst2000.vo.custom;

import java.util.List;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;
import com.jasamedika.medifirst2000.vo.IndikatorKinerjaDetailVO;
import com.jasamedika.medifirst2000.vo.JabatanVO;
import com.jasamedika.medifirst2000.vo.PegawaiVO;

public class TargetLayananLuarJamKerjaVO extends BaseTransactionVO {

	private static final long serialVersionUID = 204121701316648329L;

	@Caption(value = "Indikator Kinerja")
	public IndikatorKinerjaDetailVO indikator;

	@Caption(value = "Id Indikator Kinerja")
	public Integer indikatorId;

	@Caption(value = "Pegawai")
	public PegawaiVO pegawai;

	@Caption(value = "Id Pegawai")
	public Integer pegawaiId;

	@Caption(value = "Jabatan")
	public JabatanVO jabatan;

	@Caption(value = "Id Jabatan")
	public Integer jabatanId;

	@Caption(value = "Detail")
	public List<TargetLayananLuarJamKerjaDetailVO> detail;

	public IndikatorKinerjaDetailVO getIndikator() {
		return indikator;
	}

	public void setIndikator(IndikatorKinerjaDetailVO indikator) {
		this.indikator = indikator;
	}

	public Integer getIndikatorId() {
		return indikatorId;
	}

	public void setIndikatorId(Integer indikatorId) {
		this.indikatorId = indikatorId;
	}

	public PegawaiVO getPegawai() {
		return pegawai;
	}

	public void setPegawai(PegawaiVO pegawai) {
		this.pegawai = pegawai;
	}

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}

	public JabatanVO getJabatan() {
		return jabatan;
	}

	public void setJabatan(JabatanVO jabatan) {
		this.jabatan = jabatan;
	}

	public Integer getJabatanId() {
		return jabatanId;
	}

	public void setJabatanId(Integer jabatanId) {
		this.jabatanId = jabatanId;
	}

	public List<TargetLayananLuarJamKerjaDetailVO> getDetail() {
		return detail;
	}

	public void setDetail(List<TargetLayananLuarJamKerjaDetailVO> detail) {
		this.detail = detail;
	}

}
